resolve.h File Reference
`#include <core/trust/visibility.h>`
`#include <memory>`
`#include <string>`
Include dependency graph for resolve.h:

Go to the source code of this file.

## Namespaces

| core
| core::dbus
| core::trust
| Contains functionality for implementing Ubuntu's trust model.

## Functions

CORE_TRUST_DLL_PUBLIC std::shared_ptr< Store > | core::trust::resolve_store_on_bus_with_name (const std::shared_ptr< core::dbus::Bus > &bus, const std::string &name)
| Resolves an existing store instance within the current user session. More...
CORE_TRUST_DLL_PUBLIC std::shared_ptr< Store > | core::trust::resolve_store_in_session_with_name (const std::string &name)
| Resolves an existing store instance within the current user session. More...